.form-files {
  input[type="file"] {
    //Make it diseappear
    width: 0;
    height: 0;
    opacity: 0;
    position: absolute;
  }

  &__files {
    border: 1px solid $color-border;
    border-radius: $common-border-radius;
    display: flex;
    flex-direction: column;
    gap: 4px;
    padding: 12px 16px;
    margin-top: 16px;
    width: fit-content;
  }

  &__file {
    display: flex;
    justify-content: space-between;
    gap: 16px;
    padding-top: 4px;

    &:not(:first-child) {
      &::before {
        content: "";
        display: block;
        height: 1px;
        background-color: $color-border;
        position: absolute;
        top: 0;
        left: 0;
        right: 0;
        width: auto;
      }
    }
  }

  &__name {
    display: flex;
    align-items: center;
    gap: 8px;
    color: $color-text;
    overflow-wrap: anywhere;

    //bullet
    &::before {
      content: "";
      display: block;
      width: 4px;
      height: 4px;
      border-radius: 100%;
      background-color: $color-text;
      flex-shrink: 0;
    }
  }

  &__remove {
    padding: 8px;

    @media(hover: hover) {
      &:hover {
        &::before,
        &::after {
          background-color: $color-green;
        }
      }
    }
  }
}
